#!/bin/bash

bzip2_setup() {

	bzip2_ver=$( bzip2 --help 2>&1 | grep -Eo '[0-9]+\.[0-9]+\.[0-9]+' )

	for level in {1..9} ; do
		compressor_register \
			"bzip2 ${bzip2_ver}" \
			"bzip2 -${level}" \
			"bzip2 -c -${level} < %INFILE% > %OUTFILE%"
	done

}

bzip2_setup
