#!/bin/bash

rar_setup() {

	local binpath=/cygdrive/c/bin/winrar/rar.exe

	local version=$( ${binpath} help | head -n2 | grep -Eo '[0-9]\.[^ ]+' )
	
	# Register compression targets

	for level in {0..5} ; do
		compressor_register \
			"rar ${version}" \
			"rar -m${level} -mt1" \
			"${binpath} a -m${level} -mt1 "'$(cygpath -w %OUTFILE% ) $(cygpath -w %INFILE% )'
			
		compressor_register \
			"rar ${version}-mt" \
			"rar -m${level} -mt4" \
			"${binpath} a -m${level} -mt1 "'$(cygpath -w %OUTFILE% ) $(cygpath -w %INFILE% )'
	done

}

rar_setup
