#!/bin/bash

gzip_setup() {

	gzip_version=$( gzip --version | head -n1 | cut -d' ' -f2- )

	for level in {1..9} ; do
		compressor_register \
			"gzip ${gzip_version}" \
			"gzip -${level}" \
			"gzip -${level} < %INFILE% > %OUTFILE%"
	done

}

gzip_setup
